﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;

namespace vnorene_seznamy
{
    public class Configuration
    {
        public string[] History { get; set; }
        public Data.SaveTypes SaveType { get; set; }

        public Configuration()
        {
            SaveType = Data.SaveTypes.Synoptic;

            string path = "config.ini";
            if (!File.Exists(path))
                File.WriteAllText(path, "");

            using (StreamReader sr = new StreamReader(path))
            {
                string s = sr.ReadLine();
                bool tf = false;
                bool.TryParse(s.ToLower(), out tf);

                Dictionary<bool, Data.SaveTypes> types = new Dictionary<bool, Data.SaveTypes>() { { true, Data.SaveTypes.Saving }, { false, Data.SaveTypes.Synoptic } };
                this.SaveType = types[tf];

                string h = sr.ReadLine();
                //this.History = h.Split(';');

                sr.Close();
            }
        }

        public void Save()
        { 
            
        }
    }
}
